Page MenuHomePhabricator

"Add listing" section link added by ListingEditor gadget present on some Wikivoyage isn't present after saving a page in VisualEditor
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Open a page in the visual editor.
  2. Make a change and save it.
  3. See that [add listing] is no longer visible next to [Edit] on the section heading line.

I don't think this will be superseded by T48225: Create a VisualEditor plugin tool to add/edit Listings; instead, it's probably the same issue that was reported for HotCat last year.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 26 2015, 5:49 PM
Jdforrester-WMF triaged this task as Low priority.Jan 19 2016, 8:11 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

I don't see [add listing] when I add this extension to my wiki?

Oh:

enwikivoyage        MediaWiki:Gadget-ListingEditor.css
enwikivoyage        MediaWiki:Gadget-ListingEditor.js
enwikivoyage        MediaWiki:Gadget-ListingEditor2.css
enwikivoyage        MediaWiki:Gadget-ListingEditor2.js
itwikivoyage        MediaWiki:Gadget-ListingEditor.css
itwikivoyage        MediaWiki:Gadget-ListingEditor.js
ukwikivoyage        MediaWiki:Gadget-ListingEditor.css
ukwikivoyage        MediaWiki:Gadget-ListingEditor.js
viwikivoyage        MediaWiki:Gadget-ListingEditor.css
viwikivoyage        MediaWiki:Gadget-ListingEditor.js
viwikivoyage        MediaWiki:Gadget-ListingEditor2.css
viwikivoyage        MediaWiki:Gadget-ListingEditor2.js
Krenair renamed this task from Wikivoyage "Add listing" isn't present after saving a page in VisualEditor to "Add listing" section link added by ListingEditor gadget present on some Wikivoyage isn't present after saving a page in VisualEditor.Jan 20 2016, 4:44 AM
Krenair claimed this task.Jan 20 2016, 5:04 AM

Fixed on enwikivoyage with this edit: https://en.wikivoyage.org/w/index.php?title=MediaWiki:Gadget-ListingEditor.js&diff=prev&oldid=2926477
Need to copy to the others (it, uk, vi) - also need to check ListingEditor2 on en and vi

Wrh2 added a subscriber: Wrh2.Jan 20 2016, 1:28 PM

ListingEditor2 is just the beta listing editor gadget (not enabled by default), used to test changes to the listing editor (which is enabled by default). At the moment there are no beta features being tested, but the next time something comes up I'll make sure that your changes aren't lost.